Bug 116783 - replace mouse pointer for "box select" with standard pointer
Summary: replace mouse pointer for "box select" with standard pointer
Status: RESOLVED FIXED
Alias: None
Product: kolourpaint
Classification: Unclassified
Component: ui-kde4 (show other bugs)
Version: unspecified
Platform: Debian testing Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: kolourpaint-support
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-11-20 19:32 UTC by Oliver Grimm
Modified: 2011-02-08 21:50 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Oliver Grimm 2005-11-20 19:32:20 UTC
Version:           1.4.3_light-pre (using KDE KDE 3.4.2)
Installed from:    Debian testing/unstable Packages
OS:                Linux

Currently KolourPaint uses a "+" shaped pointer for selecting (box select). Today I made a screen shot of a window and wanted to cut it down to a part of it that was in the upper half of the picture. Unfortunately the "+" pointer was quite unintuitive for finding the right spot for opening the box. The problem was that I wanted the selection box to start just at the first pixel column of the picture but there was no way to determine the "hot spot" of the pointer from the shape.

In my opinion it would be much better to keep the standard pointer for the box select tool.
Comment 1 Clarence Dang 2006-01-04 12:32:46 UTC
On Monday 21 November 2005 05:32, Oliver Grimm wrote:
> Currently KolourPaint uses a "+" shaped pointer for selecting (box select).

[...]
> "+" pointer was quite unintuitive for finding the right spot

[...]
> I wanted the selection box to start just at the 
> first pixel column of the picture but there was no way to determine the
> "hot spot" of the pointer from the shape.


I agree the existing pointer is a problem for this reason.

> In my opinion it would be much better to keep the standard pointer for the
> box select tool.


If you mean the arrow cursor used by the Pen tool, it hides the pixel it 
starts drawing on and furthermore, it has an unfortunate white outline.

What do you think of a cursor like the one used by the Brush tool instead?

Another possibility for KolourPaint is to centre the drawing area in the view 
and/or have a small border around the drawing area to make it easy to select 
things from the topmost, bottommost, leftmost and/or rightmost of the drawing 
area.

BTW, do you have any thoughts on how I could make the text and selection 
cursors different?  I have tried to select things many times with the Text 
Tool :)

In the meantime, 2 ways around this bug's problem are:

1. Use the coordinates located in the statusbar.

2. Zoom in.
Comment 2 Oliver Grimm 2006-01-05 19:50:08 UTC
>If you mean the arrow cursor used by the Pen tool, it hides the pixel it
>starts drawing on and furthermore, it has an unfortunate white outline.

yes, but I'd say that's not a big problem. The current solution with the big "+" is still much worse since you don't see anything at all of the drawing spot.

>What do you think of a cursor like the one used by the Brush tool instead?

The brush tool with a very thin "+" shape would be much better, but only if you select the smallest size for the middle dot.

>Another possibility for KolourPaint is to centre the drawing area in the view
>and/or have a small border around the drawing area to make it easy to select
>things from the topmost, bottommost, leftmost and/or rightmost of the drawing
>area.

that would work, too, yes. But changing the cursor is much simpler and would do as well.

Another idea might be to use the shift/ctrl key such that whenever the user presses the button while dragging the mouse, he cannot leave the image area. That should be fairly easy to implement and would be a huge improvement for ALL tools. It would solve the problem of THIS bug report as well.

>BTW, do you have any thoughts on how I could make the text and selection
>cursors different?  I have tried to select things many times with the Text
>Tool :)

The easiest solution would be to change the text insertion cursor to be the standard cursor (pen cursor). If you want to put some more effort into it I'd propose to design a new cursor that looks like this:

 __
|
|
|__

You can also use the text insertion cursor from oowriter or KWord.
Comment 3 Clarence Dang 2006-12-17 04:26:19 UTC
Reassigning bugs to KolourPaint support email address. 
Comment 4 Clarence Dang 2007-10-18 10:26:48 UTC
From an email I forgot to send:

1. The MS Paint selection cursor is pretty good, I think.

2. 

Clarence wrote:
> Another possibility for KolourPaint is to centre the drawing area
> in the view and/or have a small border around the drawing area to
> make it easy to select things from the topmost, bottommost, leftmost
> and/or rightmost of the drawing area. 

This would be done using a kpView::origin() trick so that you 
could drag outside the document but that will be equivalent to dragging
from (0,0).
Comment 5 Martin Koller 2011-02-08 21:50:01 UTC
SVN commit 1219467 by mkoller:

Use the standard arrow cursor instead of the cross-cursor as the latter makes it hard
to locate the hotspot

BUG: 116783


 M  +6 -1      tools/polygonal/kpToolPolygonalBase.cpp  
 M  +1 -2      tools/rectangular/kpToolRectangularBase.cpp  
 M  +3 -1      tools/selection/kpAbstractSelectionTool_Create.cpp  
 M  +0 -6      widgets/toolbars/kpToolToolBar.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1219467